#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int x1,x2,y2,y1,x,y;
    scanf("%lld %lld",&x1,&y1);
    scanf("%lld %lld",&x2,&y2);
    if((x1==x2)||(y1==y2))
    {
        printf("2");
    }
    else
    if((x1!=x2)&&(y1!=y2)){
        x=abs(x1-x2);
        y=abs(y1-y2);
        if(x==y)
        {
            printf("1");
        }
    }
    else
        printf("0");

}